Foreman 1.12.0. puppetrun not working after upgrading from foreman 1.11.2.to 1.12.0

07/20/2016 08:29 PM - laxman veeturi

Status: Resolved   
Assignee:    

Category:    
Triaged:  Found in Releases:  
Description

Hello,

I updated foreman from version from 1.11.2 to 1.12.0. Puppetrun is not workin aftet upgrade. it wa

s working in version 1.11.2

I got below error

 Error: failed to execute puppetrun: ERF12-4252 [ProxyAPI::ProxyException]: Unable to execute Puppet run

([RestClient::ResourceNotFound]: 404 Resource Not Found) for proxy https://ol07fmn00.lax.com:8443/puppet

Please help me

Thanks

Laxman

History

#1 - 07/20/2016 08:30 PM - laxman veeturi

[root@ol07fmn00 ~]# puppet --version

3.8.7

#2 - 07/21/2016 03:02 AM - Dominic Cleal

- Tracker changed from Bug to Support

- Project changed from Foreman to Smart Proxy

- Status changed from New to Feedback

It looks like an error from the smart proxy, possibly that the Puppet component failed to start and/or upgrade correctly. The smart proxy log

(/var/log/foreman-proxy/proxy.log) should contain more details.

#3 - 05/16/2017 07:47 PM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
